## dtrx 8.4.0

=== requirements.txt ===
# Development requirements

docutils==0.16
invoke==1.7.1
pre-commit==2.20.0
pyyaml==5.4.1
tox==3.15.2
tox-pyenv==1.1.0

## dtrx 6.6

=== debian/changelog ===
dtrx (6.6-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616796).
  * Drop python (${python:Versions}) dependency (Closes: #673068).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 27 May 2013 09:41:09 +0200

dtrx (6.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on python-docutils rather than rst2man (closes: #633023).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 07 Aug 2011 23:05:27 +0200

dtrx (6.6-1) unstable; urgency=low

  * New upstram release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/control:
    - Add xz-utils to B-D-I and Depends to handle 'xz compression'.

 -- Miguelangel Jose Freitas Loreto <miguelangel.freitas@gmail.com>  Sun, 31 Jan 2010 09:09:53 -0430

dtrx (6.5-2) unstable; urgency=low

  * debian/control:
    - B-D-I: Using python-yaml instead of python-syck (Closes: #541955).
    - Standards-Version: 3.8.3 

 -- Miguelangel Jose Freitas Loreto <miguelangel.freitas@gmail.com>  Mon, 17 Aug 2009 08:54:34 -0430

dtrx (6.5-1) unstable; urgency=low

  * New upstram release.
  * Ready to build with python 2.6, thanks Alessio Treglia (Closes: #526996)
  * debian/rules:
    - -include /usr/share/python/python.mk.
    - Append $(py_setup_install_args) to install arguments.
  * debian/control:
    - Standards-Version: 3.8.2
    - B-D-I: Add rst2man to build upstream manpage.
  * Remove debian/dtrx.1, using README file instead.

 -- Miguelangel Jose Freitas Loreto <miguelangel.freitas@gmail.com>  Sat, 04 Jul 2009 20:02:41 -0430

dtrx (6.4-1) unstable; urgency=low

  * Initial release. (Closes: #491288)

 -- Miguelangel Jose Freitas Loreto <miguelangel.freitas@gmail.com>  Mon, 09 Feb 2009 13:17:13 -0430

=== debian/control ===
Source: dtrx
Section: utils
Priority: optional
Maintainer: Miguelangel Jose Freitas Loreto <miguelangel.freitas@gmail.com>
Build-Depends: debhelper (>= 7), python (>= 2.6.6-3~)
Build-Depends-Indep: python-yaml, bzip2, unzip, cpio, rpm, binutils, p7zip-full, cabextract, unshield, lzma, python-docutils (>= 0.6), xz-utils
Standards-Version: 3.8.4
Homepage: http://brettcsmith.org/2007/dtrx/
X-Python-Version: >= 2.4

Package: dtrx
Architecture: all
Depends: ${python:Depends}, bzip2, unzip, cpio, rpm, binutils, p7zip-full, cabextract, unshield, lzma, xz-utils, ${misc:Depends} 
Description: intelligently extract multiple archive types
 dtrx is basically the same as tar -zxf or tar -xjf except you don't have
 to remember the flags for each file. But there's more to it than that.
 You know those really annoying files that don't put everything in a
 dedicated directory, and have the permissions all wrong? dtrx takes care
 of all those problems for you, too. dtrx is simple and powerful. Just
 use the same command for all your archive files, and they'll never
 frustrate you again.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

-include /usr/share/python/python.mk

build: build-indep

build-indep:
	dh build --before auto_build
	/usr/bin/python setup.py build
	/usr/bin/python tests/compare.py
	dh build --after auto_build
	rst2man -q README debian/dtrx.1
	touch $@

clean: 
	dh clean --with python2
	rm -rf $(CURDIR)/tests/testscript.sh $(CURDIR)/tests/unreadable-file.*
	/usr/bin/python setup.py clean
	rm -f debian/dtrx.1 build-indep

install: build
	dh install --with python2 --before auto_install
	/usr/bin/python setup.py install --root $(CURDIR)/debian/dtrx $(py_setup_install_args)
	dh install --with python2 --after auto_install

binary: binary-arch binary-indep

binary-arch:

binary-indep: build install
	dh binary-indep --with python2

.PHONY: build clean binary-arch binary-indep binary install

## dtrx 7.1

=== debian/changelog ===
dtrx (7.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Bump to Standards-Version 4.0.1.
  * Update compatibility level to 9.
  * Migrate debian/rules to dh.
  * Set Debian QA Group as maintainer.
  * Update debian/copyright to DEP-5.

 -- Mònica Ramírez Arceda <monica@debian.org>  Sat, 12 Aug 2017 12:31:15 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: dtrx
 Section: utils
 Priority: optional
-Maintainer: Miguelangel Jose Freitas Loreto <miguelangel.freitas@gmail.com>
-Build-Depends: debhelper (>= 7), python (>= 2.6.6-3~)
+Maintainer: Debian QA Group <packages@qa.debian.org> 
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~)
 Build-Depends-Indep: python-yaml, bzip2, unzip, cpio, rpm, binutils, p7zip-full, cabextract, unshield, lzma, python-docutils (>= 0.6), xz-utils
-Standards-Version: 3.8.4
+Standards-Version: 4.0.1
 Homepage: http://brettcsmith.org/2007/dtrx/
 X-Python-Version: >= 2.4

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	rst2man -q README debian/dtrx.1

=== debian/watch ===
version=3
http://brettcsmith.org/2007/dtrx/dtrx-(.*)\.tar\.gz

## dtrx 8.0.1+git20200717

=== debian/changelog ===
dtrx (8.0.1+git20200717-3) unstable; urgency=low

  * Minor update to not spew confusing messages when dealing with
    password-protected archives.

 -- Andres Salomon <dilinger@debian.org>  Sat, 23 Jan 2021 08:57:23 +0000

dtrx (8.0.1+git20200717-2) unstable; urgency=low

  * Add my own patches to support password-protected zip, rar, and 7z
    archives. Please report any bugs you find! Upstream pull request is
    https://github.com/dtrx-py/dtrx/pull/6 (closes: #930007).
  * Fix lintian warning in debian/copyright.

 -- Andres Salomon <dilinger@debian.org>  Fri, 01 Jan 2021 21:01:31 +0000

dtrx (8.0.1+git20200717-1) unstable; urgency=low

  * New upstream git snapshot.
  * Add some missing info to the copyright file.
  * Upstream fixed the README, so resume generating the manpage
    during build.

 -- Andres Salomon <dilinger@debian.org>  Mon, 05 Oct 2020 19:23:08 +0000

dtrx (8.0.1-1) unstable; urgency=low

  * Since package was orphaned and ultimately removed from the archive, 
    put myself as the maintainer and reintroduce it into Debian.
  * New upstream release.
  * Update various files for the new upstream maintainer and url.
  * Change packaging to build for python 3.
  * Add build-deps on setuptools.
  * Bump debhelper compat to 12.
  * Stop automatically building dtrx.1 from the README. Upstream changed
    the README format, and it's not like dtrx's options have changed in
    a decade..

 -- Andres Salomon <dilinger@debian.org>  Sun, 05 Jul 2020 05:55:41 +0000

dtrx (7.1-2) unstable; urgency=medium

  * QA upload.
  * wrap-and-sort -sta
  * Fix whitespace errors in `debian/changelog'
  * Update standards version to 4.2.1 (no changes needed)
  * Update debhelper compat to 11
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update Vcs-* fields in `debian/control'
  * Drop obsolete X-Python-Version field
  * Use secure url in `debian/copyright' format field
  * Use secure url in `debian/watch'
  * Add missing dependency on `dh-python'

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 02 Dec 2018 09:49:43 +0000

=== debian/control ===
Source: dtrx
Section: utils
Priority: optional
Maintainer: Andres Salomon <dilinger@debian.org>
Build-Depends:
 debhelper (>= 12.0~),
 dh-python,
 python3
Build-Depends-Indep:
 binutils,
 bzip2,
 cabextract,
 cpio,
 lzma,
 p7zip-full,
 python3-docutils,
 python3-yaml,
 python3-setuptools,
 python3-wheel,
 twine,
 rpm,
 unshield,
 unzip,
 xz-utils,
Standards-Version: 4.5.0.2
Homepage: https://github.com/dtrx-py/dtrx
Vcs-Git: https://salsa.debian.org/debian/dtrx.git
Vcs-Browser: https://salsa.debian.org/debian/dtrx

Package: dtrx
Architecture: all
Depends:
 binutils,
 bzip2,
 cabextract,
 cpio,
 lzma,
 p7zip-full,
 rpm,
 unshield,
 unzip,
 xz-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: intelligently extract multiple archive types
 dtrx is basically the same as tar -zxf or tar -xjf except you don't have
 to remember the flags for each file. But there's more to it than that.
 You know those really annoying files that don't put everything in a
 dedicated directory, and have the permissions all wrong? dtrx takes care
 of all those problems for you, too. dtrx is simple and powerful. Just
 use the same command for all your archive files, and they'll never
 frustrate you again.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/default.mk

#export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	rst2man -q README debian/dtrx.1

override_dh_clean:
	dh_clean
	rm -rf dtrx.egg-info

=== debian/watch ===
version=4
opts=dversionmangle=auto \
https://github.com/dtrx-py/dtrx/releases .*/(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dtrx 8.2.2

=== debian/changelog ===
dtrx (8.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright updates.

 -- Andres Salomon <dilinger@debian.org>  Sun, 20 Feb 2022 15:53:13 +0000

dtrx (8.2.1-1) unstable; urgency=low

  * New upstream release.
  * Bump standards-version and debhelper compat, & clean up lintian stuff.
  * Specify that root isn't required to build package.
  * Drop Vcs-* fields, since I don't actually use the repo.
  * Github changed their download url, so adjust debian/watch accordingly.

 -- Andres Salomon <dilinger@debian.org>  Fri, 12 Nov 2021 06:25:30 +0000

dtrx (8.2.0-1) unstable; urgency=low

  * New upstream release.
  * Drop all the patches related to password-protected archives; they're
    all upstream now and included in this release.
  * Add Recommends for lhasa, lrzip, and zstd. The latter is newly supported,
    while the former two have been supported for a while. I did Recommends
    instead of Depends because I don't think the formats are common, but
    feel free to convince me otherwise!

 -- Andres Salomon <dilinger@debian.org>  Sun, 29 Aug 2021 00:53:48 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andres Salomon <dilinger@debian.org>
 Build-Depends:
- debhelper (>= 12.0~),
+ debhelper-compat (= 13),
  dh-python,
  python3
 Build-Depends-Indep:
@@ -22,10 +22,9 @@
  unshield,
  unzip,
  xz-utils,
-Standards-Version: 4.5.0.2
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/dtrx-py/dtrx
-Vcs-Git: https://salsa.debian.org/debian/dtrx.git
-Vcs-Browser: https://salsa.debian.org/debian/dtrx
+Rules-Requires-Root: no
 
 Package: dtrx
 Architecture: all
@@ -42,6 +41,10 @@
  xz-utils,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ lhasa,
+ lrzip,
+ zstd,
 Description: intelligently extract multiple archive types
  dtrx is basically the same as tar -zxf or tar -xjf except you don't have
  to remember the flags for each file. But there's more to it than that.

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf dtrx.egg-info
+	rm -rf dtrx.egg-info .eggs

## dtrx 8.3.1

=== debian/changelog ===
dtrx (8.3.1-1) unstable; urgency=low

  * New upstream release.
  * Update for README's new path.
  * Drop NEWS from package, since upstream no longer uses it.

 -- Andres Salomon <dilinger@debian.org>  Fri, 20 May 2022 22:20:39 +0000

## dtrx 8.4.0

=== debian/changelog ===
dtrx (8.4.0-2) unstable; urgency=medium

  * Move python3-setuptools to Build-Depends from B-D-Indep to fix build
    failure during clean rule.

 -- Andres Salomon <dilinger@debian.org>  Mon, 24 Oct 2022 07:07:51 +0000

dtrx (8.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Andres Salomon <dilinger@debian.org>  Sun, 02 Oct 2022 17:39:28 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	rst2man -q README debian/dtrx.1
+	rst2man -q archived/README debian/dtrx.1
 
 override_dh_clean:
 	dh_clean

=== debian/watch ===
version=4
opts=dversionmangle=auto \
https://github.com/dtrx-py/dtrx/tags .*/(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## dtrx 8.5.3

=== Makefile ===
# A small bit of automation for various steps in building + releasing dtrx

DTRX_TAGNAME=$(shell python -c 'from dtrx import dtrx; print(dtrx.VERSION)')

# require make 4.3+ for grouped targets
MINIMUM_MAKE_VERSION = 4.3
MAKE_TEST_VERSION = $(shell printf "%s\n%s" $(MAKE_VERSION) $(MINIMUM_MAKE_VERSION) | sort --version-sort)
ifneq ($(MINIMUM_MAKE_VERSION),$(firstword $(MAKE_TEST_VERSION)))
$(error Make version is too low. Please upgrade to $(MINIMUM_MAKE_VERSION) or higher.)
endif

BUILD_ARTIFACTS= \
    dist/dtrx-$(DTRX_TAGNAME).py \
    dist/dtrx-$(DTRX_TAGNAME).pyz \
    dist/dtrx-8.3.0-py2.py3-none-any.whl \
    dist/dtrx-8.3.0.tar.gz \

.PHONY: build
build: $(BUILD_ARTIFACTS)

# copy the standalone script too into ./dist/
dist/dtrx-$(DTRX_TAGNAME).py: dtrx/dtrx.py
	mkdir -p $(dir $@)
	cp $^ $@

# generate a zipapp
dist/dtrx-$(DTRX_TAGNAME).pyz: dtrx/dtrx.py
	mkdir -p $(dir $@)
	python -m zipapp dtrx --compress --main "dtrx:main" --python "/usr/bin/env python" --output $@

# build the wheel and source dist
dist/dtrx-8.3.0-py2.py3-none-any.whl dist/dtrx-8.3.0.tar.gz &: dtrx/dtrx.py
	python -m build

.PHONY: publish-release
publish-release: $(BUILD_ARTIFACTS)
# first confirm that we're on a tag
	git describe --exact-match || (echo ERROR: not on a tag; false)
# prompt before firing off the release
	@echo -n "About to publish to GitHub and PyPi, are you sure? [y/N] " && read ans && [ $${ans:-'N'} = 'y' ]
	gh release create --generate-notes $(DTRX_TAGNAME)
	gh release upload $(DTRX_TAGNAME) dist/*
	twine upload dist/dtrx-$(DTRX_TAGNAME).tar.gz dist/dtrx-$(DTRX_TAGNAME)-py2.py3-none-any.whl

=== requirements.txt ===
# Development requirements

build==0.8.0
docutils==0.16
invoke==1.7.1
pre-commit==2.20.0
pyyaml==5.4.1
tox==3.26.0
tox-pyenv==1.1.0

=== debian/changelog ===
dtrx (8.5.3-3) unstable; urgency=medium

  * Whoops, forgot a leftover p7zip-full!

 -- Andres Salomon <dilinger@debian.org>  Sun, 26 Jan 2025 22:49:20 +0000

dtrx (8.5.3-2) unstable; urgency=medium

  * Depend on 7zip instead of p7zip-full (closes: #1063561).
  * Update standards-version to latest; no changes needed.

 -- Andres Salomon <dilinger@debian.org>  Sun, 26 Jan 2025 22:25:41 +0000

dtrx (8.5.3-1) unstable; urgency=high

  * New upstream release (which also fixes #1042234).

 -- Andres Salomon <dilinger@debian.org>  Fri, 18 Aug 2023 19:52:29 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ python3-setuptools,
  python3
 Build-Depends-Indep:
  binutils,
@@ -12,17 +13,16 @@
  cabextract,
  cpio,
  lzma,
- p7zip-full,
+ 7zip,
  python3-docutils,
  python3-yaml,
- python3-setuptools,
  python3-wheel,
  twine,
  rpm,
  unshield,
  unzip,
  xz-utils,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/dtrx-py/dtrx
 Rules-Requires-Root: no
 
@@ -34,7 +34,7 @@
  cabextract,
  cpio,
  lzma,
- p7zip-full,
+ 7zip,
  rpm,
  unshield,
  unzip,
